QXmpp: QXmppCallInviteElement Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppCallInviteElement Class Reference
Stanzas

The QXmppCallInviteElement class represents a Call Invite element as specified by XEP-0482: Call Invites. More...

## Public Types
enum class | Type { None , Invite , Retract , Accept , Reject , Left }

## Public Member Functions
| QXmppCallInviteElement ()
| Constructs a Call Invite element.
Type | type () const
void | setType (Type type)
QString | id () const
void | setId (const QString &id)
bool | audio () const
void | setAudio (bool audio)
bool | video () const
void | setVideo (bool video)
std::optional< Jingle > | jingle () const
void | setJingle (std::optional< Jingle > jingle)
std::optional< QVector< External > > | external () const
void | setExternal (std::optional< QVector< External > > external)

## Static Public Member Functions
static bool | isCallInviteElement (const QDomElement &)

## Detailed Description

The QXmppCallInviteElement class represents a Call Invite element as specified by XEP-0482: Call Invites.

Since
  QXmpp 1.6

## Member Enumeration Documentation

## ◆ Type

enum class QXmppCallInviteElement::Type
| strong

Possible types of Call Invite elements

## Member Function Documentation

## ◆ audio()

bool QXmppCallInviteElement::audio | ( |  | ) | const

Returns the Call Invite element audio flag.

## ◆ external()

std::optional< QVector< QXmppCallInviteElement::External > > QXmppCallInviteElement::external | ( |  | ) | const

Returns possible Call Invite "external" sub elements.

## ◆ id()

QString QXmppCallInviteElement::id | ( |  | ) | const

Returns the Call Invite element id.

## ◆ isCallInviteElement()

bool QXmppCallInviteElement::isCallInviteElement | ( | const QDomElement & | element | ) |
| static

Returns true if passed QDomElement is a Call Invite element

## ◆ jingle()

std::optional< QXmppCallInviteElement::Jingle > QXmppCallInviteElement::jingle | ( |  | ) | const

Returns a possible Call Invite element "jingle" sub element.

## ◆ setAudio()

void QXmppCallInviteElement::setAudio | ( | bool | audio | ) |

Sets the Call Invite element audio flag.

## ◆ setExternal()

void QXmppCallInviteElement::setExternal | ( | std::optional< QVector< External > > | external | ) |

Sets possible Call Invite "external" sub elements.

## ◆ setId()

void QXmppCallInviteElement::setId | ( | const QString & | id | ) |

Sets the Call Invite element id.

## ◆ setJingle()

void QXmppCallInviteElement::setJingle | ( | std::optional< Jingle > | jingle | ) |

Sets a possible Call Invite "jingle" sub element.

## ◆ setType()

void QXmppCallInviteElement::setType | ( | Type | type | ) |

Sets the Call Invite element type.

## ◆ setVideo()

void QXmppCallInviteElement::setVideo | ( | bool | video | ) |

Sets the Call Invite element video flag.

## ◆ type()

QXmppCallInviteElement::Type QXmppCallInviteElement::type | ( |  | ) | const

Returns the Call Invite element type.

## ◆ video()

bool QXmppCallInviteElement::video | ( |  | ) | const

Returns the Call Invite element video flag.

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp